SVN: rc-scripts/trunk/rc.d/init.d/functions
glen
glen at pld-linux.org
Mon Nov 26 21:05:34 CET 2007
Author: glen
Date: Mon Nov 26 21:05:34 2007
New Revision: 9097
Modified:
rc-scripts/trunk/rc.d/init.d/functions
Log:
- tab-safe is_empty_file() now (from rc.modules)
Modified: rc-scripts/trunk/rc.d/init.d/functions
==============================================================================
--- rc-scripts/trunk/rc.d/init.d/functions (original)
+++ rc-scripts/trunk/rc.d/init.d/functions Mon Nov 26 21:05:34 2007
@@ -108,7 +108,7 @@
# empty lines and lines beginning with hash are ignored
is_empty_file() {
[ -s "$1" ] || return 0
- egrep -vq '^(#| *$)' "$1" && return 1 || return 0
+ egrep -vq "^(#|[[:blank:]]*$)" "$1" && return 1 || return 0
}
# returns OK if $1 contains $2
More information about the pld-cvs-commit
mailing list